Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface Icon

All Known Implementing Classes:
  ImageIcon, IconUIResource, MetalCheckBoxIcon, MetalIconFactory.PaletteCloseIcon, MetalIconFactory.FolderIcon16, MetalIconFactory.FileIcon16, MetalIconFactory.TreeControlIcon, MetalComboBoxIcon

public interface Icon

A small fixed size picture, typically used to decorate components.

See Also:
  `ImageIcon`

Method Summary
`int` | `getIconHeight()` Returns the icon's height.
`int` | `getIconWidth()` Returns the icon's width.
`void` | `paintIcon(Component c, Graphics g, int x, int y)` Draw the icon at the specified location.

Method Detail

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.

### getIconWidth

    public int getIconWidth()

  Returns the icon's width.
  Returns:
    an int specifying the fixed width of the icon.

### getIconHeight

    public int getIconHeight()

  Returns the icon's height.
  Returns:
    an int specifying the fixed height of the icon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.